> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> List all models in the workspace



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /storage/models/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /storage/models/list:
    get:
      tags:
        - Storage - Models
      summary: List models
      description: List all models in the workspace
      parameters:
        - in: query
          name: datasetUuid
          schema:
            title: Dataset UUID
            description: Filter models by dataset identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Filter models by dataset identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  models:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            uuid:
                              type: string
                            workspaceUuid:
                              type: string
                            slug:
                              type: string
                            name:
                              type: string
                            description:
                              anyOf:
                                - type: string
                                - type: 'null'
                            datasetUuid:
                              type: string
                            extractorSlug:
                              type: string
                            position:
                              type: object
                              properties:
                                x:
                                  type: number
                                'y':
                                  type: number
                              required:
                                - x
                                - 'y'
                              additionalProperties: false
                            config:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            schedule:
                              anyOf:
                                - anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          const: dbt
                                        jobId:
                                          type: string
                                      required:
                                        - type
                                        - jobId
                                      additionalProperties: false
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          const: cron
                                        cron:
                                          type: string
                                        temporalScheduleWorkflowId:
                                          type: string
                                      required:
                                        - type
                                        - cron
                                        - temporalScheduleWorkflowId
                                      additionalProperties: false
                                - type: 'null'
                            meta:
                              anyOf:
                                - type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                - type: 'null'
                            columns:
                              type: array
                              items:
                                type: object
                                properties:
                                  slug:
                                    type: string
                                  type:
                                    type: string
                                    enum:
                                      - string
                                      - number
                                      - object
                                      - array
                                      - date
                                      - boolean
                                      - any
                                      - vector
                                  properties:
                                    type: array
                                    items:
                                      type: string
                                  label:
                                    type: string
                                  description:
                                    type: string
                                  kind:
                                    type: string
                                    const: original
                                  originalSlug:
                                    type: string
                                required:
                                  - slug
                                  - type
                                  - label
                                  - kind
                                  - originalSlug
                                additionalProperties: false
                            additionalColumns:
                              type: array
                              items:
                                oneOf:
                                  - type: object
                                    properties:
                                      slug:
                                        type: string
                                        pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                                      type:
                                        type: string
                                        enum:
                                          - string
                                          - number
                                          - object
                                          - array
                                          - date
                                          - boolean
                                          - any
                                          - vector
                                      properties:
                                        type: array
                                        items:
                                          type: string
                                      label:
                                        type: string
                                      description:
                                        type: string
                                      kind:
                                        type: string
                                        const: custom
                                    required:
                                      - slug
                                      - type
                                      - label
                                      - kind
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      slug:
                                        type: string
                                        pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                                      type:
                                        type: string
                                        enum:
                                          - string
                                          - number
                                          - object
                                          - array
                                          - date
                                          - boolean
                                          - any
                                          - vector
                                      properties:
                                        type: array
                                        items:
                                          type: string
                                      label:
                                        type: string
                                      description:
                                        type: string
                                      kind:
                                        type: string
                                        const: computed
                                      expression:
                                        allOf:
                                          - type: object
                                            properties:
                                              kind:
                                                type: string
                                                enum:
                                                  - jsExpression
                                                  - templateExpression
                                              instructTo:
                                                type: string
                                                enum:
                                                  - ai
                                                  - none
                                              expression:
                                                type: string
                                            required:
                                              - kind
                                              - instructTo
                                              - expression
                                            additionalProperties: false
                                          - anyOf:
                                              - type: object
                                                properties:
                                                  fromRecipe:
                                                    type: boolean
                                                    const: false
                                                required:
                                                  - fromRecipe
                                                additionalProperties: false
                                              - type: object
                                                properties:
                                                  fromRecipe:
                                                    type: boolean
                                                    const: true
                                                  recipe:
                                                    type: object
                                                    properties:
                                                      uuid:
                                                        type: string
                                                      version:
                                                        type: number
                                                      variables:
                                                        type: object
                                                        propertyNames:
                                                          type: string
                                                        additionalProperties: {}
                                                    required:
                                                      - uuid
                                                      - version
                                                      - variables
                                                    additionalProperties: false
                                                required:
                                                  - fromRecipe
                                                  - recipe
                                                additionalProperties: false
                                      columnsUsed:
                                        type: array
                                        items:
                                          type: string
                                    required:
                                      - slug
                                      - type
                                      - label
                                      - kind
                                      - expression
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      slug:
                                        type: string
                                        pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                                      type:
                                        type: string
                                        enum:
                                          - string
                                          - number
                                          - object
                                          - array
                                          - date
                                          - boolean
                                          - any
                                          - vector
                                      properties:
                                        type: array
                                        items:
                                          type: string
                                      label:
                                        type: string
                                      description:
                                        type: string
                                      kind:
                                        type: string
                                        const: metric
                                      relationshipUuid:
                                        type: string
                                      aggregation:
                                        type: object
                                        properties:
                                          function:
                                            type: string
                                            enum:
                                              - AVG
                                              - COUNT
                                              - MAX
                                              - MIN
                                              - SUM
                                          columnSlug:
                                            type: string
                                        required:
                                          - function
                                          - columnSlug
                                        additionalProperties: false
                                      filter:
                                        type: object
                                        properties:
                                          conjonction:
                                            type: string
                                            enum:
                                              - or
                                              - and
                                          groups:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                conjonction:
                                                  type: string
                                                  enum:
                                                    - or
                                                    - and
                                                conditions:
                                                  type: array
                                                  items:
                                                    anyOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: sql
                                                          name:
                                                            type: string
                                                          clause:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - name
                                                          - clause
                                                        additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: string
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - contains
                                                                      - doesNotContain
                                                                      - startsWith
                                                                      - endsWith
                                                                  values:
                                                                    anyOf:
                                                                      - {}
                                                                      - {}
                                                                required:
                                                                  - operator
                                                                  - values
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                      - isEmpty
                                                                      - isNotEmpty
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: number
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - greaterThan
                                                                      - lowerThan
                                                                  value:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  firstValue:
                                                                    type: number
                                                                  lastValue:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - firstValue
                                                                  - lastValue
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: objectProperty
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                              propertyName:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                              - propertyName
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - contains
                                                                      - greaterThan
                                                                      - lowerThan
                                                                      - doesNotContain
                                                                      - startsWith
                                                                      - endsWith
                                                                  value:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                      - isEmpty
                                                                      - isNotEmpty
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  value:
                                                                    type: string
                                                                  otherValue:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                  - otherValue
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: object
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: matchConditions
                                                                  conjonction:
                                                                    type: string
                                                                    enum:
                                                                      - or
                                                                      - and
                                                                  propertyConditions:
                                                                    type: array
                                                                    items:
                                                                      allOf: {}
                                                                required:
                                                                  - operator
                                                                  - conjonction
                                                                  - propertyConditions
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: array
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: matchConditions
                                                                  conjonction:
                                                                    type: string
                                                                    enum:
                                                                      - or
                                                                      - and
                                                                  propertyConditions:
                                                                    type: array
                                                                    items:
                                                                      allOf: {}
                                                                required:
                                                                  - operator
                                                                  - conjonction
                                                                  - propertyConditions
                                                                additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: any
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                        additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: vector
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                        additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: date
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - greaterThan
                                                                      - lowerThan
                                                                  value:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  firstValue:
                                                                    type: string
                                                                  lastValue:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - firstValue
                                                                  - lastValue
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: boolean
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isTrue
                                                              - isFalse
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                        additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: occurrence
                                                          relatedModelUuid:
                                                            type: string
                                                          frequency:
                                                            anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: not
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - moreThan
                                                                      - lessThan
                                                                      - exactly
                                                                  value:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                          period:
                                                            type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - lessThan
                                                                  - moreThan
                                                                  - exactly
                                                              value:
                                                                type: number
                                                              unit:
                                                                type: string
                                                                const: day
                                                            required:
                                                              - operator
                                                              - value
                                                              - unit
                                                            additionalProperties: false
                                                          conjonction:
                                                            type: string
                                                            enum:
                                                              - or
                                                              - and
                                                          conditions:
                                                            type: array
                                                            items:
                                                              anyOf:
                                                                - allOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                      additionalProperties: {}
                                                                    - anyOf: {}
                                                                - allOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                      additionalProperties: {}
                                                                    - anyOf: {}
                                                                - allOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                      additionalProperties: {}
                                                                    - anyOf: {}
                                                                - allOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                      additionalProperties: {}
                                                                    - anyOf: {}
                                                                - type: object
                                                                  properties:
                                                                    kind:
                                                                      type: {}
                                                                      const: {}
                                                                    relatedModelUuid:
                                                                      type: {}
                                                                    columnSlug:
                                                                      type: {}
                                                                    operator:
                                                                      type: {}
                                                                      enum: {}
                                                                  required:
                                                                    - kind
                                                                    - columnSlug
                                                                    - operator
                                                                  additionalProperties: false
                                                                - type: object
                                                                  properties:
                                                                    kind:
                                                                      type: {}
                                                                      const: {}
                                                                    relatedModelUuid:
                                                                      type: {}
                                                                    columnSlug:
                                                                      type: {}
                                                                    operator:
                                                                      type: {}
                                                                      enum: {}
                                                                  required:
                                                                    - kind
                                                                    - columnSlug
                                                                    - operator
                                                                  additionalProperties: false
                                                                - allOf:
                                                                    - type: {}
                                                                      properties: {}
                                                                      required: {}
                                                                      additionalProperties: {}
                                                                    - anyOf: {}
                                                                - type: object
                                                                  properties:
                                                                    kind:
                                                                      type: {}
                                                                      const: {}
                                                                    relatedModelUuid:
                                                                      type: {}
                                                                    columnSlug:
                                                                      type: {}
                                                                    operator:
                                                                      type: {}
                                                                      enum: {}
                                                                  required:
                                                                    - kind
                                                                    - columnSlug
                                                                    - operator
                                                                  additionalProperties: false
                                                        required:
                                                          - kind
                                                          - relatedModelUuid
                                                          - frequency
                                                          - period
                                                          - conjonction
                                                          - conditions
                                                        additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: enrollment
                                                          workflowUuid:
                                                            type: string
                                                          activityKind:
                                                            type: string
                                                            enum:
                                                              - workflowEntered
                                                              - workflowNodeExecuted
                                                              - workflowLeft
                                                          nodeSlug:
                                                            type: string
                                                          frequency:
                                                            anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: not
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - moreThan
                                                                      - lessThan
                                                                      - exactly
                                                                  value:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                          period:
                                                            type: object
                                                            properties:
                                                              operator:
                                                                type: string
                                                                enum:
                                                                  - lessThan
                                                                  - moreThan
                                                                  - exactly
                                                              value:
                                                                type: number
                                                              unit:
                                                                type: string
                                                                const: day
                                                            required:
                                                              - operator
                                                              - value
                                                              - unit
                                                            additionalProperties: false
                                                        required:
                                                          - kind
                                                          - workflowUuid
                                                          - activityKind
                                                          - frequency
                                                          - period
                                                        additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: segment
                                                          segmentUuid:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - in
                                                              - notIn
                                                        required:
                                                          - kind
                                                          - segmentUuid
                                                          - operator
                                                        additionalProperties: false
                                              required:
                                                - conjonction
                                                - conditions
                                              additionalProperties: false
                                        required:
                                          - conjonction
                                          - groups
                                        additionalProperties: false
                                    required:
                                      - slug
                                      - type
                                      - label
                                      - kind
                                      - relationshipUuid
                                      - aggregation
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      slug:
                                        type: string
                                        pattern: ^[a-z0-9]+(_[a-z0-9]+)*$
                                      type:
                                        type: string
                                        enum:
                                          - string
                                          - number
                                          - object
                                          - array
                                          - date
                                          - boolean
                                          - any
                                          - vector
                                      properties:
                                        type: array
                                        items:
                                          type: string
                                      label:
                                        type: string
                                      description:
                                        type: string
                                      kind:
                                        type: string
                                        const: lookup
                                      join:
                                        type: object
                                        properties:
                                          toModelUuid:
                                            type: string
                                          fromColumnSlug:
                                            type: string
                                          toColumnSlug:
                                            type: string
                                        required:
                                          - toModelUuid
                                          - fromColumnSlug
                                          - toColumnSlug
                                        additionalProperties: false
                                      extractColumnSlug:
                                        type: string
                                      filter:
                                        type: object
                                        properties:
                                          conjonction:
                                            type: string
                                            enum:
                                              - or
                                              - and
                                          groups:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                conjonction:
                                                  type: string
                                                  enum:
                                                    - or
                                                    - and
                                                conditions:
                                                  type: array
                                                  items:
                                                    anyOf:
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: sql
                                                          name:
                                                            type: string
                                                          clause:
                                                            type: string
                                                        required:
                                                          - kind
                                                          - name
                                                          - clause
                                                        additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: string
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - contains
                                                                      - doesNotContain
                                                                      - startsWith
                                                                      - endsWith
                                                                  values:
                                                                    anyOf:
                                                                      - {}
                                                                      - {}
                                                                required:
                                                                  - operator
                                                                  - values
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                      - isEmpty
                                                                      - isNotEmpty
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: number
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - greaterThan
                                                                      - lowerThan
                                                                  value:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  firstValue:
                                                                    type: number
                                                                  lastValue:
                                                                    type: number
                                                                required:
                                                                  - operator
                                                                  - firstValue
                                                                  - lastValue
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: objectProperty
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                              propertyName:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                              - propertyName
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - contains
                                                                      - greaterThan
                                                                      - lowerThan
                                                                      - doesNotContain
                                                                      - startsWith
                                                                      - endsWith
                                                                  value:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                      - isEmpty
                                                                      - isNotEmpty
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  value:
                                                                    type: string
                                                                  otherValue:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                  - otherValue
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: object
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: matchConditions
                                                                  conjonction:
                                                                    type: string
                                                                    enum:
                                                                      - or
                                                                      - and
                                                                  propertyConditions:
                                                                    type: array
                                                                    items:
                                                                      allOf: {}
                                                                required:
                                                                  - operator
                                                                  - conjonction
                                                                  - propertyConditions
                                                                additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: array
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: matchConditions
                                                                  conjonction:
                                                                    type: string
                                                                    enum:
                                                                      - or
                                                                      - and
                                                                  propertyConditions:
                                                                    type: array
                                                                    items:
                                                                      allOf: {}
                                                                required:
                                                                  - operator
                                                                  - conjonction
                                                                  - propertyConditions
                                                                additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: any
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                        additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: vector
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                        additionalProperties: false
                                                      - allOf:
                                                          - type: object
                                                            properties:
                                                              kind:
                                                                type: string
                                                                const: date
                                                              relatedModelUuid:
                                                                type: string
                                                              columnSlug:
                                                                type: string
                                                            required:
                                                              - kind
                                                              - columnSlug
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - is
                                                                      - isNot
                                                                      - greaterThan
                                                                      - lowerThan
                                                                  value:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - value
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: between
                                                                  firstValue:
                                                                    type: string
                                                                  lastValue:
                                                                    type: string
                                                                required:
                                                                  - operator
                                                                  - firstValue
                                                                  - lastValue
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    enum:
                                                                      - isNull
                                                                      - isNotNull
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: boolean
                                                          relatedModelUuid:
                                                            type: string
                                                          columnSlug:
                                                            type: string
                                                          operator:
                                                            type: string
                                                            enum:
                                                              - isTrue
                                                              - isFalse
                                                              - isNull
                                                              - isNotNull
                                                        required:
                                                          - kind
                                                          - columnSlug
                                                          - operator
                                                        additionalProperties: false
                                                      - type: object
                                                        properties:
                                                          kind:
                                                            type: string
                                                            const: occurrence
                                                          relatedModelUuid:
                                                            type: string
                                                          frequency:
                                                            anyOf:
                                                              - type: object
                                                                properties:
                                                                  operator:
                                                                    type: string
                                                                    const: not
                                                                required:
                                                                  - operator
                                                                additionalProperties: false
                                                              - type: object
[...]
